Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordio
Class DecomposeRecordAppenderAssembler

    java.lang.Object
      com.servingxml.components.recordio.DecomposeRecordAppenderAssembler

    public class DecomposeRecordAppenderAssembler

extends java.lang.Object

Constructor Summary
`DecomposeRecordAppenderAssembler()`

Method Summary
`RecordFilterAppender` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(ParameterDescriptor[] parameterDescriptors)`
`void` | `setCompositeRecordType(Name ofRecordTypeName)`
`void` | `setField(Name onFieldName)`
`void` | `setNewRecordType(Name newRecordTypeName)`
`void` | `setOfRecordType(Name ofRecordTypeName)`
`void` | `setOnField(Name onFieldName)`
`void` | `setRecordType(Name ofRecordTypeName)`
`void` | `setRepeatingGroup(Name onFieldName)`
`void` | `setRepeatingGroupField(Name onFieldName)`
`void` | `setSubrecordType(Name newRecordTypeName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecomposeRecordAppenderAssembler

    public DecomposeRecordAppenderAssembler()

Method Detail

### setOfRecordType

    public void setOfRecordType(Name ofRecordTypeName)

### setCompositeRecordType

    public void setCompositeRecordType(Name ofRecordTypeName)

### setRepeatingGroupField

    public void setRepeatingGroupField(Name onFieldName)

### setRepeatingGroup

    public void setRepeatingGroup(Name onFieldName)

### setField

    public void setField(Name onFieldName)

### setOnField

    public void setOnField(Name onFieldName)

### setRecordType

    public void setRecordType(Name ofRecordTypeName)

### setNewRecordType

    public void setNewRecordType(Name newRecordTypeName)

### setSubrecordType

    public void setSubrecordType(Name newRecordTypeName)

### injectComponent

    public void injectComponent(ParameterDescriptor[] parameterDescriptors)

### assemble

    public RecordFilterAppender assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD